# avax.getAtomicTxStatus

Get the status of an atomic transaction sent to the network.

This method will use `10` [Compute Units](/v1/about/billing.md).

***

## Reference: [Here](https://docs.avax.network/reference/avalanchego/c-chain/api#avaxgetatomictxstatus)

## **Parameters**

* `txID` - string - The transaction ID in hex format.

## Returns

1. `status` is one of:

* *Accepted*: The transaction is (or will be) accepted by every node. Check the `blockHeight` property
* *Processing*: The transaction is being voted on by this node
* *Dropped*: The transaction was dropped by this node because it thought the transaction invalid
* *Unknown*: The transaction hasn’t been seen by this node

\
2\. `blockHeight` - string, returned when status is *Accepted*

```json
// Result
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "status": "Accepted",
    "blockHeight": "1"
  }
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/avax \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc":"2.0",
    "id"     :1,
    "method" :"avax.getAtomicTxStatus",
    "params" :{
        "txID":"2QouvFWUbjuySRxeX5xMbNCuAaKWfbk5FeEa2JmoF85RKLk2dD"
    }
}'
```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://fuji.avalanche.validationcloud.io/v1/<YOUR_API_KEY_HERE>/ext/bc/C/avax \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
    "jsonrpc":"2.0",
    "id"     :1,
    "method" :"avax.getAtomicTxStatus",
    ""params" :{
        "txID":"2QouvFWUbjuySRxeX5xMbNCuAaKWfbk5FeEa2JmoF85RKLk2dD"
    }
}'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/avalanche/c-chain/avax.getatomictxstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
